<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Facelet Title</title>
         <h:outputStylesheet name="style.css" library="css" />
    </h:head>
    <h:body>  
        <ui:composition template="./padre.xhtml">
            <ui:define name="content"> 

                <p:growl id="msj"/>       
                <p:fieldset legend="Agregar signo vital">
                    <h:form id="datos">
                        <h:panelGrid columns="2">
                            <p:outputLabel value="Peso"/>
                            <p:inputNumber value="#{signo_vitalController.signo_vital.peso}" symbol=" kg" symbolPosition="s" />     
                            <p:outputLabel value="Talla"/>
                            <p:inputNumber value="#{signo_vitalController.signo_vital.talla}" symbol=" m" symbolPosition="s" />  
                            <p:outputLabel value="IMC"/>
                            <p:inputNumber value="#{signo_vitalController.signo_vital.imc}" disabled="true" symbol=" peso/talla x talla" symbolPosition="s"/>  
                            <p:outputLabel value="FC"/>
                            <p:inputNumber value="#{signo_vitalController.signo_vital.fc}" symbol=" lat./min" symbolPosition="s" />  
                            <p:outputLabel value="FR"/>
                            <p:inputNumber value="#{signo_vitalController.signo_vital.fr}" symbol=" ciclos/min" symbolPosition="s"/>  
                            <p:outputLabel value="Temperatura"/>
                            <p:inputNumber value="#{signo_vitalController.signo_vital.temp}" symbol=" °c" symbolPosition="s"/>  

                            <p:commandButton rendered="#{signo_vitalController.signo_vital.talla==0.0}" value="Registrar" action="#{signo_vitalController.insertar()}" update=":tabla, :datos, :msj" />
                            <p:commandButton rendered="#{signo_vitalController.signo_vital.talla!=0.0}" value="Actualizar" action="#{signo_vitalController.editar()}" update=":tabla, :datos, :msj" />
                            <p:commandButton rendered="#{signo_vitalController.signo_vital.talla!=0.0}" value="Cancelar" action="#{signo_vitalController.init()}" update=":tabla, :datos, :msj" />


                            <p:commandButton value="Consultar" actionListener="#{signo_vitalController.consultar()}" update=":tabla"/>

                        </h:panelGrid>
                    </h:form>
                </p:fieldset>
                <br></br>
                <p:fieldset legend="Datos de signo vital">
                    <h:form id="tabla">
                       
                        <p:dataTable value="#{signo_vitalController.signo_vitalList}" var="s" paginator="true" rows="5" reflow="true" style="margin-top:2px;">
                            <p:column headerText="Peso" style="width: 12%">
                                <p:outputLabel value="#{s.peso}"/>
                            </p:column>
                            <p:column headerText="Talla" style="width: 12%">
                                <p:outputLabel value="#{s.talla}"/>
                            </p:column>
                            <p:column headerText="IMC" style="width: 12%">
                                <p:outputLabel value="#{s.imc}"/>
                            </p:column>
                            <p:column headerText="FC" style="width: 12%">
                                <p:outputLabel value="#{s.fc}"/>
                            </p:column>
                            <p:column headerText="FR" style="width: 12%">
                                <p:outputLabel value="#{s.fr}"/>
                            </p:column>
                            <p:column headerText="Temperatura" style="width: 12%">
                                <p:outputLabel value="#{s.temp}"/>
                            </p:column>
                            <p:column headerText="Acciones">
                                <div class="eliminar"> 
                                    <p:commandButton value="Eliminar" actionListener="#{signo_vitalController.eliminar(s)}" update=":tabla,:msj"/>
                                </div>
                                <div class="editar"> 
                                    <p:commandButton value="Editar" actionListener="#{signo_vitalController.consultarById(s)}" update=":datos"/>
                                </div>
                            </p:column>

                        </p:dataTable>
                    </h:form>
                </p:fieldset>

            </ui:define>
        </ui:composition>
    </h:body>
</html>

